WEB TCP INTERRUPT WebInterrupt
DO
  BITBANG HUMID GP15, CurrentTemp, CurrentHumid
  PAUSE 1000
LOOP

SUB WebInterrupt
	LOCAL INTEGER a, p, t, b(4096/8)
	FOR a = 1 To MM.INFO(MAX CONNECTIONS)
		WEB TCP READ a, b()
		p = LINSTR(b(), "GET")
		t = LINSTR(b(), "HTTP")
		If (p > 0) And (t > p) Then
			WEB TRANSMIT PAGE a, "index.html"
		ENDIF
	NEXT a
END SUB
